Bug 428617 - setroubleshoot complains about "count 0" sealerts
setroubleshoot complains about "count 0" sealerts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 02:23 EST by Ralf Corsepius
Modified: 2009-12-18 01:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:02:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot setroubleshoot browers complains about "count 0" sealerts (36.78 KB, image/png)
2008-01-14 02:23 EST, Ralf Corsepius
no flags Details
Excerpt from /var/log/messages near to the times of the count 0's (3.35 KB, application/octet-stream)
2008-01-14 10:25 EST, Ralf Corsepius
no flags Details

  None (edit)
Description Ralf Corsepius 2008-01-14 02:23:43 EST
Description of problem:
setroubleshoot occasionally reports "count 0" sealerts.

Version-Release number of selected component (if applicable):

# rpm -qa --qf "%{name}-%{version}-%{release}.%{arch}\n" 'setr*' 'selinu*'
selinux-policy-devel-3.0.8-74.fc8.noarch
setroubleshoot-plugins-1.10.4-1.fc8.noarch
selinux-policy-3.0.8-74.fc8.noarch
selinux-policy-targeted-3.0.8-74.fc8.noarch
setroubleshoot-server-1.10.7-1.fc8.noarch
setroubleshoot-1.10.7-1.fc8.noarch

How reproducible:
No idea. I can't deterministically reproduce these. They only seem to occur next
to reboots/first X11-logins.
  
Actual results:
cf. attachment.

Additional info:
This an i386/F8 system, acting as server for several services in my
home/office-network.
Comment 1 Ralf Corsepius 2008-01-14 02:23:43 EST
Created attachment 291571 [details]
screenshot setroubleshoot browers complains about "count 0" sealerts
Comment 2 John Dennis 2008-01-14 09:46:25 EST
Thank you for reporting this Ralf.

I think this can only happen if there was a prior error or exeception.

Would you please check after this manifests itself if there are any error or
tracebacks in /var/log/setroubleshoot/setroubleshootd.log? If there are would
you please attach that file. Thanks!
Comment 3 Ralf Corsepius 2008-01-14 10:25:38 EST
Created attachment 291593 [details]
Excerpt  from /var/log/messages near to the times of the count 0's
Comment 4 Ralf Corsepius 2008-01-14 10:26:33 EST
Hmm, current /var/log/setroubleshoot/setroubleshootd.log contains this:

# cat /var/log/setroubleshoot/setroubleshootd.log
2008-01-14 05:56:36,199 [email.WARNING] cannot open file
/var/lib/setroubleshoot/email_alert_recipients, No such file or directory

There also is a backup from yesterday:
# cat /var/log/setroubleshoot/setroubleshootd.log-20080113 
2008-01-08 13:26:50,919 [email.WARNING] cannot open file
/var/lib/setroubleshoot/email_alert_recipients, No such file or directory

Doesn't seem to me as if these are related to the "count 0" sealerts :-)


However, from /var/log/messages, I gather I had updated the selinux-policy
packages to *-74 ca. 5 minutes before the times the sealerts refer to.

I am attaching an excerpt (manually trimmed down) of /var/log/messages from next
to the times the sealert messages are referring to.
Comment 5 Bug Zapper 2008-11-26 04:25:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Ralf Corsepius 2008-11-26 04:42:19 EST
The "count 0" phenomenon is still present in FC10.
Comment 7 Daniel Walsh 2009-02-11 09:50:18 EST
Ralf could you execute

# service setroubleshootd stop
# rm -rf /var/lib/setroubleshoot
# yum reinstall setroubleshoot\*
# service setroubleshootd start

To see if this is just caused by a bad database
Comment 9 Bug Zapper 2009-11-18 07:24:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 01:02:49 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.